curl --request PATCH \
--url https://api.example.com/v2/tolls/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_status": 123
}
'{
"id": 123,
"vehicle": {
"id": 123,
"custom_fields": "<string>",
"added_date": "2023-11-07T05:31:56Z",
"fleet": {
"id": 123,
"region_details": [
{
"id": 123,
"title": "<string>"
}
],
"title": "<string>",
"is_active": true,
"billing_type": "PREPAID",
"onboarding_stage": "INITIAL",
"warning_threshold_per_vehicle": "<string>",
"deactivation_threshold_per_vehicle": "<string>",
"client": "<string>",
"onboarding_vehicle_order": 123
},
"plate_number": "<string>",
"plate_state": "<string>",
"vehicle_number": "<string>",
"active": true,
"vehicle_make": "<string>",
"vehicle_model": "<string>",
"year": "<string>",
"lessee_renter": "<string>",
"vehicle_type_code": "<string>"
},
"transponder": {
"id": 123,
"number": "<string>",
"status": "IN_STOCK"
},
"driver": {
"id": 123,
"first_name": "<string>",
"address_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"email": [
"jsmith@example.com"
],
"driver_id": "<string>",
"last_name": "<string>",
"address_line_2": "<string>",
"contact_number": "<string>"
},
"exit_plaza": "<string>",
"billing_status_fk": {
"id": 123,
"value": "<string>",
"display_text": "<string>",
"ticket_type": "<string>",
"fleet": 123,
"is_system": "<string>"
},
"cash_cost": 0,
"amount": "<string>",
"posting_date": "2023-12-25",
"transaction_date": "2023-12-25",
"exit_time": "<string>",
"billing_status": "NO_ACTION",
"agency": "<string>",
"entry_plaza": "<string>",
"our_cost": "<string>",
"is_billed": true,
"billed_on": "2023-11-07T05:31:56Z",
"confirmation_id": "<string>",
"system_remarks": null,
"violation": true,
"violation_fee": "<string>",
"source_id": 4611686018427388000,
"driver_agreement": 123,
"included_in_driver_invoice": 123,
"source_type": 123
}Partially update a toll by ID.
curl --request PATCH \
--url https://api.example.com/v2/tolls/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_status": 123
}
'{
"id": 123,
"vehicle": {
"id": 123,
"custom_fields": "<string>",
"added_date": "2023-11-07T05:31:56Z",
"fleet": {
"id": 123,
"region_details": [
{
"id": 123,
"title": "<string>"
}
],
"title": "<string>",
"is_active": true,
"billing_type": "PREPAID",
"onboarding_stage": "INITIAL",
"warning_threshold_per_vehicle": "<string>",
"deactivation_threshold_per_vehicle": "<string>",
"client": "<string>",
"onboarding_vehicle_order": 123
},
"plate_number": "<string>",
"plate_state": "<string>",
"vehicle_number": "<string>",
"active": true,
"vehicle_make": "<string>",
"vehicle_model": "<string>",
"year": "<string>",
"lessee_renter": "<string>",
"vehicle_type_code": "<string>"
},
"transponder": {
"id": 123,
"number": "<string>",
"status": "IN_STOCK"
},
"driver": {
"id": 123,
"first_name": "<string>",
"address_line_1": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"email": [
"jsmith@example.com"
],
"driver_id": "<string>",
"last_name": "<string>",
"address_line_2": "<string>",
"contact_number": "<string>"
},
"exit_plaza": "<string>",
"billing_status_fk": {
"id": 123,
"value": "<string>",
"display_text": "<string>",
"ticket_type": "<string>",
"fleet": 123,
"is_system": "<string>"
},
"cash_cost": 0,
"amount": "<string>",
"posting_date": "2023-12-25",
"transaction_date": "2023-12-25",
"exit_time": "<string>",
"billing_status": "NO_ACTION",
"agency": "<string>",
"entry_plaza": "<string>",
"our_cost": "<string>",
"is_billed": true,
"billed_on": "2023-11-07T05:31:56Z",
"confirmation_id": "<string>",
"system_remarks": null,
"violation": true,
"violation_fee": "<string>",
"source_id": 4611686018427388000,
"driver_agreement": 123,
"included_in_driver_invoice": 123,
"source_type": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
Model serializer for raw transponder data
Show child attributes
Show child attributes
Show child attributes
-1000 < x < 1000NO_ACTION - No ActionCARD_NOT_ON_FILE - Card Not On FileINVOICED_NOT_PAID - Invoiced – Not PaidPAID_SUCCESSFULLY - Paid SuccessfullyCREDIT_CARD_DECLINED - Credit Card DeclinedEXPIRED_CREDIT_CARD - Expired Credit CardEMPLOYEE_USE_OR_FLEET_LIABLE - Employee Use/Fleet LiableUSER_NOT_FOUND - User Not FoundDISPUTED_TOLL_OR_TICKET - Disputed Toll/TicketVALIDATION_ISSUES - Validation IssuesCOD_SERVICE - COD ServiceNO_ACTION, CARD_NOT_ON_FILE, INVOICED_NOT_PAID, PAID_SUCCESSFULLY, CREDIT_CARD_DECLINED, EXPIRED_CREDIT_CARD, EMPLOYEE_USE_OR_FLEET_LIABLE, USER_NOT_FOUND, DISPUTED_TOLL_OR_TICKET, VALIDATION_ISSUES, COD_SERVICE 2555^-?\d{0,3}(?:\.\d{0,2})?$255^-?\d{0,3}(?:\.\d{0,2})?$0 <= x <= 9223372036854776000Was this page helpful?